org.keycloak.models.sessions.infinispan.changes

## Class ClientSessionUpdateTask

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.changes.ClientSessionUpdateTask

- All Implemented Interfaces:
    SessionUpdateTask<AuthenticatedClientSessionEntity>

      public abstract class ClientSessionUpdateTask
      extends Object
      implements SessionUpdateTask<AuthenticatedClientSessionEntity>

  Author:
    Marek Posolda

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.sessions.infinispan.changes.SessionUpdateTask

      `SessionUpdateTask.CacheOperation, SessionUpdateTask.CrossDCMessageStatus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientSessionUpdateTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SessionUpdateTask.CrossDCMessageStatus` | `getCrossDCMessageStatus(SessionEntityWrapper<AuthenticatedClientSessionEntity> sessionWrapper)`
    `SessionUpdateTask.CacheOperation` | `getOperation(AuthenticatedClientSessionEntity session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.sessions.infinispan.changes.SessionUpdateTask

      `getLifespanMs, runUpdate`

- - ### Constructor Detail

    - #### ClientSessionUpdateTask

          public ClientSessionUpdateTask()

  - ### Method Detail

    - #### getOperation

          public SessionUpdateTask.CacheOperation getOperation(AuthenticatedClientSessionEntity session)

      Specified by:
        `getOperation` in interface `SessionUpdateTask<AuthenticatedClientSessionEntity>`

    - #### getCrossDCMessageStatus

          public SessionUpdateTask.CrossDCMessageStatus getCrossDCMessageStatus(SessionEntityWrapper<AuthenticatedClientSessionEntity> sessionWrapper)

      Specified by:
        `getCrossDCMessageStatus` in interface `SessionUpdateTask<AuthenticatedClientSessionEntity>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.